Subject: bug#26207: CC Mode 5.32.99 (C/l); add more keywords to c-macro-names-with-semicolon

From: Mohammed Sadiq <[email-masked]>
Date: Sat, 25 Mar 2017 17:33:41 +0530 (IST)

> On March 25, 2017 at 4:21 PM Alan Mackenzie <[email-masked]> wrote:
> c-macro-names-with-semicolon is a user option, a configuration variable.
> The idea is, each user (or project) sets up this variable in her/his/its
> .emacs, probably best done in the hook c-mode-common-hook.  So, any user
> can set up all these "G_..." macros if her source code uses them.
> 
> Or have I missed something here?

Hm. Probably No. But may be yes. :)

In cc-vars.el, I saw '("Q_OBJECT" "Q_PROPERTY" "Q_DECLARE" "Q_ENUMS") set in GNU 
Emacs source. I believe that they are used in Qt. 

The values I said ("G_DECLARE", "G_DEFINE",
"G_BEGIN_DECLS", "G_END_DECLS") are used extensively in GTk+ and is defined
in GLib. As those both are GNU projects, I find it right to be included in GNU Emacs by
default, especially since Qt variables are already included.

I don't know if I'm wrong to say so.

> 
> > Thanks
> 
> -- 
> Alan Mackenzie (Nuremberg, Germany).